Loading...
Searching...
No Matches
pdftron::PDF::PageSet Class Reference

`#include <PageSet.h>`

## Public Types
enum | Filter { e_all , e_even , e_odd }

## Public Member Functions
| PageSet ()
| PageSet (int one_page)
| PageSet (int range_start, int range_end, Filter filter=e_all)
| ~PageSet ()
void | AddPage (int one_page)
void | AddRange (int range_start, int range_end, Filter filter=e_all)
void | Destroy ()

## Detailed Description

PageSet is a container of page numbers ordered following a linear sequence. The page numbers are integers and must be greater than zero. Duplicates are allowed.

(NOTE: This is not a mathematical set)

Definition at line 20 of file PageSet.h.

## Member Enumeration Documentation

## ◆ Filter

enum pdftron::PDF::PageSet::Filter

Enumerator
e_all |
e_even |
e_odd |

Definition at line 25 of file PageSet.h.

## Constructor & Destructor Documentation

## ◆ PageSet() [1/3]

pdftron::PDF::PageSet::PageSet | ( |  | ) |

Default constructor. Constructs 'PageSet' with no pages

## ◆ PageSet() [2/3]

pdftron::PDF::PageSet::PageSet | ( | int | one_page | ) |

Construct a set of pages with just one number

See also
  AddPage

## ◆ PageSet() [3/3]

pdftron::PDF::PageSet::PageSet | ( | int | range_start,
|  | int | range_end,
|  | Filter | filter = e_all )

Construct a range of pages

See also
  AddRange

## ◆ ~PageSet()

pdftron::PDF::PageSet::~PageSet | ( |  | ) |

Destructor

## Member Function Documentation

## ◆ AddPage()

void pdftron::PDF::PageSet::AddPage | ( | int | one_page | ) |

Add a value to the sequence.

Parameters

  one_page | The page number being added

## ◆ AddRange()

void pdftron::PDF::PageSet::AddRange | ( | int | range_start,
|  | int | range_end,
|  | Filter | filter = e_all )

Add a range of values to the sequence. Reverse ordering is legal.

Parameters

  range_start | The starting value in the range
  range_end | The ending value in the range
  filter | -e_all: Default, includes all pages in the range -e_odd: Includes odd numbers in the range (discards even numbers) -e_even: Includes even numbers in the range (discards odd numbers)

## ◆ Destroy()

void pdftron::PDF::PageSet::Destroy | ( |  | ) |

Frees the native memory of the object.

The documentation for this class was generated from the following file:

- PDF/PageSet.h